/**
 * Download admin js
 *
 * @package productive-demo-importer
 */

$ = jQuery.noConflict();

$( document ).ready(
    function() {
        // Put msgs in place
        $( '.productive-demo-importer-options-page-wrapper .notice' ).prependTo('.productive-demo-importer-options-page-wrapper .page-wrapper-body');
        
        $( '#demo_import_button' ).on(
            'click',
            function(e) {
                e.preventDefault();
                
                // Assignments
                var is_loading_container_outer = $( '#info-is-loading-container-outer' );
                var is_loading_overlay = $( '#info-is-loading-container .demoimporter-content-overlay' );
                var is_loading_container = $( '#info-is-loading-container' );
                var is_loading_error_msg = $( '#is_loading_error_msg' );
                var is_loading_success_msg = $( '#is_loading_success_msg' );
                var is_loading_warning_msg = $( '#is_loading_warning_msg' );
                
                var select_a_theme_box = $( '#select_a_theme_box_id' );
                var select_a_theme_box_val = select_a_theme_box.val();
                var read_notice_confirmation = $( '#read_notice_confirmation_id' );
                var m_yes = $( '#import_menu_demo_id_yes' );
                var m_no = $( '#import_menu_demo_id_no' );
                var h_yes = $( '#import_home_demo_id_yes' );
                var h_no = $( '#import_home_demo_id_no' );
                
                // Reset
                is_loading_container_outer.hide();
                is_loading_container.removeClass('bordered-left-error bordered-left-success bordered-left-info bordered-left-warning bordered-left-none');
                is_loading_overlay.hide();
                is_loading_error_msg.hide();
                is_loading_success_msg.hide();
                is_loading_warning_msg.hide();
                select_a_theme_box.removeClass('bordered-left-error');
                read_notice_confirmation.removeClass('bordered-left-error');
                h_yes.removeClass('bordered-left-error');
                m_yes.removeClass('bordered-left-error');
                
                if ( select_a_theme_box_val === 'select_an_option' ) {
                    is_loading_error_msg.html(productive_demo_importer_admin_js_url_name.msg_error_select_a_theme);
                    is_loading_container.addClass('bordered-left-error');
                    is_loading_container_outer.slideDown('slow');
                    is_loading_error_msg.slideDown('medium');
                    select_a_theme_box.addClass('bordered-left-error');
                }  else if ( !read_notice_confirmation.is(':checked') ) {
                    is_loading_error_msg.html(productive_demo_importer_admin_js_url_name.msg_error_confirm_fresh_install);
                    is_loading_container.addClass('bordered-left-error');
                    is_loading_container_outer.slideDown('slow');
                    is_loading_error_msg.slideDown('medium');
                    read_notice_confirmation.addClass('bordered-left-error');
                } else if ( !h_yes.is(':checked') && !m_yes.is(':checked') ) {
                    is_loading_error_msg.html(productive_demo_importer_admin_js_url_name.msg_error_select_a_demo);
                    is_loading_container.addClass('bordered-left-error');
                    is_loading_container_outer.slideDown('slow');
                    is_loading_error_msg.slideDown('medium');
                    h_yes.addClass('bordered-left-error');
                    m_yes.addClass('bordered-left-error');
                } else {
                 
                    is_loading_container_outer.slideDown('slow');
                    is_loading_overlay.slideDown('medium');
                    
                    var home = 0;
                    var menu = 0;
                    if ( h_yes.is(':checked') ) {
                        home = 1;
                    }
                    if ( m_yes.is(':checked') ) {
                        menu = 1;
                    }
                    
                    $.ajax(
                        {
                            type : 'POST',
                            data : {
                                // action refers to the name of the php method that wp will execute .
                                action : 'productive_demo_importer_save_demo_importer',
                                theme : select_a_theme_box_val,
                                h : home,
                                m : menu
                            },
                            url : productive_demo_importer_admin_js_url_name.ajax_admin_url,
                            success : function(jsondata, status, xhr) {
                                var response = jsondata.data;
                                if ( response.code == 1 ) {
                                        is_loading_success_msg.html(''+response.result);
                                        is_loading_container.addClass('bordered-left-success');
                                        is_loading_success_msg.slideDown('medium');
                                        is_loading_overlay.slideUp(1200).fadeOut(200);
                                } else {
                                        is_loading_error_msg.html(''+response.result);
                                        is_loading_container.addClass('bordered-left-error');
                                        is_loading_error_msg.slideDown('medium');
                                        is_loading_overlay.slideUp(1200).fadeOut(200);
                                }
                            }
                        }
                    );
                    
                }
            }
        );

    }
);
