<?php
/**
 * Downloads setup page.
 *
 * @package productive-demo-importer
 */

function productive_demo_importer_register_section_2() {
    global $section_2_heading;
    add_settings_section(
        'productive_demo_importer_section_2',    // Section id
        $section_2_heading, // Section heading
        'productive_demo_importer_section_2_description_callback', // A callback method that displays the section description
        'productive_demo_importer_section_2_options'   // The menu slug of the page that will display this section
    );
    
    // Register a new setting for "productive_demo_importer_section_2" section.
    register_setting( 
            'productive_demo_importer_section_2_options', // Option group (section)
            'productive_demo_importer_section_2_options',   // Option name (it holds a collection of values of associated field - e.g productive_demo_importer_section_2_options[field_name])
            'productive_demo_importer_register_section_2_validate'      // Validate user entry
        );
}
function productive_demo_importer_section_2_description_callback() {
    ?>
    <div class="warning-content bordered-left-info">
        <?php 
            echo esc_html( 'This page provides instruction for importing WordPress demo content using the WordPress XML Importer Plugin. ', 'productive-demo-importer' );
            echo esc_html( 'The WordPress XML Importer Plugin will import our demo Blog posts and WooCommerce products in various configurations.', 'productive-demo-importer' );
        ?>
    </div>
    <div>
        <a target="_blank" href="<?php echo PRODUCTIVE_DEMO_IMPORTER_PLUGIN_XML_IMPORT_DOCUMENTATION_URL; ?>"><?php echo esc_html( 'Visit our documentation site here', 'productive-demo-importer' ) ?></a>
        <?php echo esc_html( 'for help and instruction for using the WordPress Importer to import our demo Posts and WooCommerce products.', 'productive-demo-importer' ); ?>
    </div>
    <div>
    <?php
        echo esc_html( 'However, if your aim is to import demo content for one of our themes, such as Homepage content, Menu and Widget settings, please go to the "' . PRODUCTIVE_DEMO_IMPORTER_OPTION_TAB_1_TITLE . '" tab', 'productive-demo-importer' );
        echo esc_html( ' to use this One Click Demo Importer', 'productive-demo-importer' );?>
    </div>
    
    <?php
}

